function Pc_sorted = cmpoles(P, Pc)
% Sorts the vector Pc to be in the order of P. Works better than sort for
% complex vectors.

Pc_sorted = zeros( size( P ) );

for i = 1 : length( P ),
    [~, j] = min( abs( P(i) - Pc(:) ) );
    Pc_sorted(i,1) = Pc(j);  Pc(j) = [];
end
